package org.syncloud.webui;

import org.syncloud.facade.CoreFactory;
import org.syncloud.facade.Service;
import syncloud.core.log.Logger;

public class Main {

    private static Logger logger = Logger.getLogger(Main.class);

    public static void main(String[] args) {
        logger.info("service starting ...");

        try {
            WebUiFactory webUiFactory = new WebUiFactory(CoreFactory.getInstance());
            webUiFactory.init();
            Service webService = webUiFactory.getService();
            webService.start();
            webService.join();

        } catch (InterruptedException e) {
            logger.error("Error in main", e);
        }
    }

}
