package org.syncloud.webui.actions;

import org.json.JSONException;
import org.syncloud.facade.AuthenticationManager;
import org.syncloud.webui.servlet.JsonServlet;
import syncloud.core.log.Logger;
import syncloud.storage.StorageKey;
import syncloud.storage.User;

import javax.servlet.ServletException;
import java.util.Map;

public class AccountAddServlet extends JsonServlet {
    private static Logger logger = Logger.getLogger(AccountAddServlet.class);
    private AuthenticationManager manager;

    public AccountAddServlet(AuthenticationManager manager) {
        this.manager = manager;
    }

    @Override
    public String getResult(Map params) throws JSONException, ServletException {

        String storageId = getParameter(params, "storageId");
        String login = getParameter(params, "login");
        String password = getParameter(params, "password");

        if (!manager.authenticate(new StorageKey(storageId, new User(login)), password))
            throw new ServletException("unable to authenticate user");

        return "";
    }
}
