package org.syncloud.webui.actions;

import org.json.JSONException;
import org.syncloud.facade.dao.AccountsDao;
import org.syncloud.webui.servlet.JsonServlet;
import syncloud.core.log.Logger;
import syncloud.storage.StorageKey;
import syncloud.storage.User;

import javax.servlet.ServletException;
import java.util.Map;

public class AccountDeleteServlet extends JsonServlet {
    private static Logger logger = Logger.getLogger(AccountDeleteServlet.class);
    private AccountsDao manager;

    public AccountDeleteServlet(AccountsDao manager) {
        this.manager = manager;
    }

    @Override
    public String getResult(Map params) throws JSONException, ServletException {

        String storageId = getParameter(params, "storageId");
        String login = getParameter(params, "login");

        manager.deleteAccount(new StorageKey(storageId, new User(login)));
        return "";
    }
}
