package org.syncloud.webui.actions;

import org.json.JSONException;
import org.syncloud.facade.dao.json.base.Writer;
import syncloud.storage.Account;
import org.syncloud.facade.dao.AccountsDao;
import org.syncloud.facade.dao.json.AccountParser;
import org.syncloud.webui.servlet.JsonServlet;
import syncloud.core.log.Logger;

import javax.servlet.ServletException;
import java.util.List;
import java.util.Map;

public class AccountsServlet extends JsonServlet {
    private static Logger logger = Logger.getLogger(AccountsServlet.class);

    private final Writer<List<Account>, String> parser;
    private AccountsDao manager;

    public AccountsServlet(AccountsDao manager) {
        this.manager = manager;
        parser = new AccountParser();
    }

    @Override
    public String getResult(Map params) throws JSONException, ServletException {
        String id = getParameter(params, "id");
        List<Account> accounts = manager.getAccounts(id);
        return parser.toJson(accounts);
    }

}
