package org.syncloud.webui.actions;

import org.json.JSONException;
import org.syncloud.facade.AuthenticationManager;
import org.syncloud.facade.proxy.FoldersProxy;
import org.syncloud.webui.json.FolderWriter;
import org.syncloud.webui.servlet.SecuredJsonServlet;
import syncloud.storage.IFolder;
import syncloud.storage.NodeKey;
import syncloud.storage.PathKey;
import syncloud.storage.StorageKey;

import javax.servlet.ServletException;
import java.util.List;
import java.util.Map;

public class FolderListJsonServlet extends SecuredJsonServlet {

    private FoldersProxy storageFacade;

    public FolderListJsonServlet(FoldersProxy storageFacade, AuthenticationManager authenticationManager) {
        super(authenticationManager);
        this.storageFacade = storageFacade;
    }

    public String getResult(Map params) throws JSONException, ServletException {

        StorageKey storageKey = getStorageKey(params);
        String folder = getParameter(params, "path");

        PathKey pathKey = PathKey.create(folder);
        List<IFolder> folders = storageFacade.getFolders(new NodeKey(storageKey, pathKey));

        FolderWriter writer = new FolderWriter();
        return writer.toJson(folders);

    }

}
