package org.syncloud.webui.actions;

import org.apache.commons.io.IOUtils;
import org.json.JSONException;
import org.syncloud.facade.dao.SyncDao;
import org.syncloud.facade.dao.json.SyncParser;
import syncloud.core.log.Logger;
import syncloud.storage.Sync;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

public class SyncSaveServlet extends HttpServlet {

    private static Logger logger = Logger.getLogger(SyncSaveServlet.class);


    private final SyncParser parser;
    private SyncDao syncDao;

    public SyncSaveServlet(SyncDao syncDao) {
        this.syncDao = syncDao;
        parser = new SyncParser();
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        try {

            String json = IOUtils.toString(req.getInputStream());
            resp.setContentType("text/html");
            List<Sync> syncs = parser.fromJson(json);
            syncDao.saveSyncs(syncs);

            resp.setStatus(HttpServletResponse.SC_OK);
            resp.getWriter().println("");

        } catch (JSONException e) {
            logger.error("unable to save syncs");
            resp.setStatus(HttpServletResponse.SC_BAD_REQUEST);
        }

    }
}
