package org.syncloud.webui.json;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import org.syncloud.facade.dao.json.base.Writer;
import syncloud.storage.IFolder;

import java.util.List;

public class FolderWriter implements Writer<List<IFolder>, String> {

    @Override
    public String toJson(List<IFolder> folders) throws JSONException {

        JSONArray jsonArray = new JSONArray();
        for (IFolder folder : folders) {
            JSONObject jsonFolder = new JSONObject();
            jsonFolder.put("name", folder.getName());
            jsonFolder.put("nativePath", folder.getKey().getNativePath());
            jsonArray.put(jsonFolder);
        }

        JSONObject jsonFolders = new JSONObject();
        jsonFolders.put("folders", jsonArray);

        return jsonFolders.toString();
    }

}
