package org.syncloud.webui.json;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import syncloud.storage.IStorageMetadata;

import java.util.List;

public class StorageMetadataJsonWriter {
    public static final String JSON_ROOT = "storages";

    public static final String JSON_STORAGE_ID = "id";
    public static final String JSON_SECURED = "secured";

    public JSONObject toJson(List<IStorageMetadata> metadata) throws JSONException {
        JSONArray jsonStorages = new JSONArray();
        for (IStorageMetadata meta : metadata) {
            JSONObject jsonObject = new JSONObject();
            jsonObject.put(JSON_STORAGE_ID, meta.getName());
            jsonObject.put(JSON_SECURED, meta.isSecured());
            jsonStorages.put(jsonObject);
        }
        return root(jsonStorages);
    }

    private JSONObject root(JSONArray jsonStorages) throws JSONException {
        JSONObject jsonConf = new JSONObject();
        jsonConf.put(JSON_ROOT, jsonStorages);
        return jsonConf;
    }
}
