$('#accountspage').live('pageshow', function(event) {

	reloadAccounts(storageId);

	$("#addAccount").click(function(){
        $.get('/account.add', {
                    storageId: storageId,
                    login: $("#accountLogin").val(),
                    password: $("#accountPassword").val()
                },
            function(data){
                reloadAccounts(storageId);
                $("#accountLogin").val('');
                $("#accountPassword").val('');
                $('#authenticationFail').hide();
            })
        .error(function() { $('#authenticationFail').show(); });

        return false;
    });

});

function reloadAccounts(storageId){
    $.getJSON("/accounts", {id : storageId}, function(data){
        var accounts = data.accounts;

        $('#accountsList').children().remove('li');
        var output = '<li data-role="list-divider">' + getStorageTypeInfo(storageTypeInfos, storageId).id + '</li>'
        $.each(accounts, function(index, value){
            output += '<li>';
            output += '<a href="#" data-role="button" onclick="selectAccount(\'' + value.login + '\');">' + value.login + '</a>';
            output += '<a href="#" onclick="deleteAccount(\'' + value.login + '\');">Delete</a>';
            output += '</li>';
        });
        if (output == '') {
                output = '<li data-role="list-divider">No accounts defined</li>';
            }
        $('#accountsList').append(output).listview('refresh');

    });
}

function selectAccount(newlogin){
    stateManager.getSelection().setLogin(newlogin);
    $.mobile.changePage("path.html");
}

function deleteAccount(deleteLogin){
     $.get('/account.delete', {
                storageId: storageId,
                login: deleteLogin,
            },
            function(data){
                reloadAccounts(storageId);
                $("#accountLogin").val('');
                $("#accountPassword").val('');
                $('#authenticationFail').hide();
            })
        .error(function() { $('#authenticationFail').show(); });

    return false;

}

