function reloadPaths(){

    $('#pathlist').children().remove('li');
    var paths = generatePaths(stateManager.getPaths(), infoProvider);
    $('#pathlist').append(paths).listview('refresh');

}

function generatePaths(paths, infoProvider) {
    var output = '';
    $.each(paths, function(index, value){
        var info = infoProvider.getInfo(value.storageId);
        output += '<li>';
        output += '<a href="#" data-role="button" onclick="changePath(' + index + ');">';

        if (info != null) {
            output += info.id;
            if (info.secured)
                output += ' :: ' + value.login;
        } else {
            output += value.storageId  + ' (UNSUPPORTED!)';
        }

        output +=  ' :: ' + value.path;
        output += '</a>';
        output += '<a href="#" data-role="button" data-icon="delete" data-iconpos="notext" onclick="deletePathConfirm(\'' + value.path + '\');">Delete</a>';
        output += '</li>';
    });
    if (output == '') {
        output = '<li data-role="list-divider">No paths defined</li>';
    }
    return output;
}


function deletePathConfirm(id){

    if (confirm("Are you sure?")) {
        stateManager.deletePath(id);
        reloadPaths();
    }

    return false;
}



function changePath(newPathId){

    stateManager.getSelection().resetPathChanges();
    stateManager.getSelection().setPathId(newPathId);

    navigateToPath();
    return false;

}

function navigateToPath() {
    $.mobile.changePage("path.html");
}

$('#syncpage').live('pageshow', function(event) {

	reloadPaths();

	$("#newPath").click(function(){
	    stateManager.getSelection().resetPathChanges();
        navigateToPath();
    });

    $("#btnSyncSave").click(function(){
        $.mobile.changePage("/");
    });

});
