var c;
var storageTypeInfos;
var infoProvider;
var stateManager
var syncId;
var pathId;
var storageId;
var login;
var newLogin;
var folder;

$( '#indexpage' ).live( 'pageinit',function(event){
	reloadSyncs();
	loadStorageTypes();
});

function reloadSyncs(){
    $.getJSON("/syncs", function(data){
        synchronizations = data.synchronizations; //TODO: remove
        stateManager = new StateManager(data.synchronizations);
        refreshSyncs();
    });
}

function refreshSyncs(){
    $('#syncList').children().remove('li');
    var output = '';
    $.each(synchronizations, function(index, value){
        output += '<li>';
        output += '<a href="#" onclick="selectSync(' + index + ');" data-role="button">' + value.name + '</a>';
        output += '<a href="#" onclick="deleteSync(\'' + index + '\');">Delete</a>';
        output += '</li>';
    });
    if (output == '') {
            output = '<li data-role="list-divider">No syncs defined</li>';
        }
    $('#syncList').append(output).listview('refresh');
}

function loadStorageTypes(){
    $.getJSON("/storage.info", function(data){
        storageTypeInfos = data.storages;
        infoProvider = new StorageInfoProvider(storageTypeInfos);
    });
}

function getStorageTypeInfo(storageTypeInfos, storageId){
    var storageTypeInfo;
    $.each(storageTypeInfos, function(index, value) {
        if (value.id == storageId){
            storageTypeInfo = value;
            return false;
        }
    });
    return storageTypeInfo;
}


$("#btnSave").click(function(){

    $.post('/syncs.save',
        JSON.stringify(
            { synchronizations : synchronizations }
        ),
        function(){
            reloadSyncs();
            $("#syncsSaveFail").hide();
            $("#syncsSaveOK").show();
        })
    .error(function() {
        $("#syncsSaveFail").show();
        $("#syncsSaveOK").hide();
        });

    return false;
});


$("#addSync").click(function(event){

    var syncName = $("#syncName").val();
    if (syncName == '') {
        $("#addFail").show();
        return;
    }

    if (exists(syncName)) {
        $("#addFail").show();
        return;
    }

    synchronizations.push({name: syncName, paths: []});
    refreshSyncs();

    $("#addFail").hide();
});

function exists(syncName){
    var exist = false;
    $.each(synchronizations, function(index, value){
        if (value.name == syncName){
            exist = true;
            return;
        }
    });
}

function selectSync(id) {

    syncId = id; //TODO: remove

    stateManager.getSelection().setSyncId(id);
    $.mobile.changePage("sync.html");

}

function deleteSync(id){
    synchronizations.splice(id, 1);
    refreshSyncs();
}